QGIS Application - Bug report #10763
QgsProject is unable to load a project with a raster
2014-07-01 02:04 AM - David AMAR

Status: Closed

Priority: Normal

Assignee:

Category: PyQGIS Console

Affected QGIS version:2.4.0 Regression?: No
Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 19146
Description

Steps to reproduce:

Create a new project with QGis Desktop 2.4

Save it into home directory as "myproject.qgs"”

Add a raster TIF (img.tif in my case) located at the same place of this project
Save the project again.

Create a new project and open python console
Then execute these Python commands

p = QgsProject.instance()

qgsinfo = QFilelnfo( "myproject.qgs" )
isLoaded = p.read( qgsInfo )

A window "Handle bad layers" is displayed to correct layer path. The incorrect path is "./img.tif". | have to correct it manually to "img.tif" to
load the layer.

History

#1 - 2014-07-01 03:23 AM - Nathan Woodrow

- Status changed from Open to Closed

- Resolution set to invalid

- Tag set to python

You have saved the project with relative paths.

If you want to open a project using Python inside QGIS you can use:

iface.addProject(path)

If you want to use the method that you are using you need to set the working directory, which is reset when you create a new project:

http://gt-project.org/doc/qt-4.8/qdir.html#setCurrent

QDir.setCurrent(folderofproject)
#2 - 2014-07-01 03:43 AM - David AMAR

- File modifyqgs.py added

Hello Nathan,

| think there are some points to deal with before closing:
- iface can't be used in a stand-alone python Script (see attached python script)

- This bug is a regression: QProject.read() worked correctly with QGIS 2.0.1 on Windows platform (In fact, attached script is working correctly with QGIS

2.0.11)

Regards.

#3 - 2014-07-01 03:56 AM - Nathan Woodrow

- Status changed from Closed to Reopened

- Resolution deleted (invalid)

| | - iface can't be used in a stand-alone python Script (see attached python script)

Of course that is why | said you have to do the current working folder thing.

Ok reopened for more investigation.

QGIS 2.0.1)

#4 - 2017-05-01 01:08 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Reopened to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

- This bug is a regression: QProject.read() worked correctly with QGIS 2.0.1 on Windows platform (In fact, attached script is working correctly with

Files
modifyqgs.py 1.75 KB 2014-07-01 David AMAR
